#!/bin/bash

#VDR-Creator-Script
#
#This script creates packages for use with Slackware

#function mk_slack_desc(VERSION)
function mk_slack_desc() {
	echo "vdr: Video Disk Recorder (VDR) Version $1" >../BUILD/package/install/slack-desc
	echo "vdr:" >>../BUILD/package/install/slack-desc
	echo "vdr:This is a binary package for your VDR $1." >>../BUILD/package/install/slack-desc
	echo "vdr:VDR-Binary is installed in: /vdr/$1">>../BUILD/package/install/slack-desc
	echo "vdr:VDR-Plugins are installed in: /vdr/$1/PLUGIN/lib" >>../BUILD/package/install/slack-desc
	echo "vdr:" >>../BUILD/package/install/slack-desc
	echo "vdr:To get a list of all installed plugins use 'vdr --help' in /vdr/$1" >>../BUILD/package/install/slack-desc
}

function mk_doinst() {
	echo "#!/bin/bash">../BUILD/package/install/doinst.sh
}

if [ -e packages ];
then
	echo packages-dir found 
else
	mkdir packages
fi

cd data

sh ../check_dep.sh
for VERSION in $(cat ../selected_versions); do
	rm -f -R ../BUILD
	mkdir ../BUILD
	mkdir ../BUILD/package
	mkdir ../BUILD/package/install
	mkdir ../BUILD/package/vdr
	mkdir ../BUILD/package/vdr/$VERSION
	mkdir ../BUILD/package/vdr/$VERSION/PLUGINS
	mkdir ../BUILD/package/vdr/$VERSION/PLUGINS/lib
	mkdir ../BUILD/package/vdr/$VERSION/config

	mk_slack_desc $VERSION
	mk_doinst

	sh ../scripts/vdr_$VERSION unpack
	for PLUGINS in $(cat ../selected_plugins); do
		sh ../scripts/$PLUGINS.plugin unpack
	done

	sh ../scripts/vdr_$VERSION prebuild
	for PLUGINS in $(cat ../selected_plugins); do
		sh ../scripts/$PLUGINS.plugin prebuild $VERSION 
	done

cd ..
cd BUILD/vdr

clear
echo Compiling...
make all plugins
mv vdr ../package/vdr/$VERSION/vdr
mv PLUGINS/lib/* ../package/vdr/$VERSION/PLUGINS/lib

strip -s ../package/vdr/$VERSION/PLUGINS/lib/* ../package/vdr/$VERSION/vdr

cd ..

sh ../scripts/vdr_$VERSION postbuild $VERSION
for PLUGINS in $(cat ../selected_plugins); do
	sh ../scripts/$PLUGINS.plugin postbuild $VERSION 
done

cd package
makepkg -l y -c n ../../packages/vdr-$VERSION-i486-1.tgz
cd ..
cd ../data
done


cd ..
exec sh creator.sh
